#!/usr/bin/env python
# -*-python-*-

from pocketphone.vcard import vcard
import optparse

parser = optparse.OptionParser()
parser.add_option("-v", "--vcards", dest="vcards", help="The directory containing the vcard files to include")
parser.add_option("-p", "--pdf", dest="pdf", help="The path where the PDF file should be created")
parser.add_option("-H", "--height", dest="height", help="Page height (in inches)", default=8.5)
parser.add_option("-w", "--width", dest="width", help="Page width (in inches)", default=11)
parser.add_option("-m", "--margin", dest="margin", help="Page margin (in inches)", default=.25)
    
(opts, args) = parser.parse_args()

v = vcard(opts.height, opts.width, opts.margin)
v.add_directory(opts.vcards)
v.draw()
v.save(opts.pdf)
