__package__    = "pocketphone/__init__.py"
__version__    = "1.1"
__author__     = "Aaron Straup Cope"
__url__        = "http://www.aaronland.info/python/pocketphone"
__date__       = "$Date: 2008/11/25 17:06:18 $"
__copyright__  = "Copyright (c) 2007-2008 Aaron Straup Cope. BSD license : http://www.modestmaps.com/license.txt"

from pocketindex import pocketindex
from pocketmod import pocketmod

import md5

class pocketphone (pocketmod) :

    def __init__ (self, paper_width, paper_height, paper_margin, paper_dpi=144) :

        pocketmod.__init__(self, paper_width, paper_height, paper_margin, paper_dpi=144)

        self.numbers = []
        self.queue = {}        
        self.dedupe = True

    # #####################################################

    def draw (self) :

        idx = pocketindex(self.sect_width, self.sect_height)
        pages = idx.create(self.numbers)

        # first and last pages are blank
        
        pages.insert(0, None)
        pages.append(None)    

        #
        
        self.count_pages = len(pages)
        self.pages = pages

        self.layout()
        
    # #####################################################
    
    def add_numbers (self, numbers) :
        for data in numbers :
            self.add_number(data)
            
    # #####################################################
                
    def add_number (self, ph_data) :
        label = ph_data['name']
        number = self.format_number(ph_data['number'])

        # overkill, maybe but whatever...

        if self.dedupe :
            key = label.encode('ascii', 'replace') + number.encode('ascii', 'replace')
            hex = md5.md5(key).hexdigest()
        
            if self.queue.has_key(hex) :
                return

            self.queue[hex] = number

        data = {'label':label, 'value':number}
        self.numbers.append(data)

    #
    
    def format_number (self, number) :

        for char in ("-", "/", ".", "+", "(", ")", " ") :
            number = number.replace(char, "")

        last_four = number[-4:]
        number = number[:-4]

        last_three = number[-3:]
        number = number[:-3]

        first_three = number[-3:]
        number = number[:-3]

        prefix = number

        parts = []

        for part in (prefix, first_three, last_three, last_four) :

            clean = part.strip()
            
            if clean != '' :
                parts.append(clean)

        return " ".join(parts)
    
    
if __name__ == '__main__' :

    ph = pocketphone(height, width, margin)
    ph.add_numbers(numbers)
    ph.draw(out)
