# $Id: setup.py,v 1.4 2008/11/25 17:06:18 asc Exp $

# http://peak.telecommunity.com/DevCenter/setuptools
# http://ianbicking.org/docs/setuptools-presentation/

try:
    from setuptools import setup, find_packages
except:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup, find_packages

readme = file('README','rb').read()

local__name = 'pocketphone'
local__version = '1.1'
local__url = 'http://www.aaronland.info/python/%s' % local__name
local__download = '%s/%s-%s.tar.gz' % (local__url, local__name, local__version)

setup(
    name = local__name,
    version = local__version,

    packages=find_packages(exclude=["*.tests", "*.tests.*", "tests.*", "tests"]),
    exclude_package_data={'':["README", "ez_setup*"]},

    install_requires = ['vobject', 'pocketindex', 'pocketmod>=0.2'],
    dependency_links = ['http://aaronland.info/python/packageindex/'],

    author = "Aaron Straup Cope",
    author_email = "aaron@aaronland.net",
    description = "Generate pocketmod style phonebooks",
    long_description=readme,
    
    license = "BSD",
    platforms='OS Independent',
    
    keywords = "aaronland addressbook papernet pocketmod print vcard",
    url = local__url,
    download_url = local__download,

    # Uncomment when you need to sanity check the
    # stuff that actually gets installed...
    # zip_safe=False
    )
